polybori::groebner::PairManagerFacade< StrategyType > Class Template Reference

This class defines a facade for a given Strategy, which. More...

`#include <PairManagerFacade.h>`

## Public Member Functions

| PairManagerFacade (const BoolePolyRing &ring)
| PairManagerFacade (const self &rhs)
void | cleanTopByChainCriterion ()
void | introducePair (const Pair &pair)

## Public Attributes

PairManagerWithStrategy< strategy_type > | pairs
| For compatibility reasons make this a public member. More...

## Detailed Description

### template<class StrategyType>
class polybori::groebner::PairManagerFacade< StrategyType >

This class defines a facade for a given Strategy, which.

Note
  Use it as an inheritance base for - say - `NewStrategy` like:

class NewStrategy: public PairManagerFacade<NewStrategy> { definition of strategy };

## Constructor & Destructor Documentation

template<class StrategyType>

polybori::groebner::PairManagerFacade< StrategyType >::PairManagerFacade | ( | const BoolePolyRing & | ring | ) |

inline

template<class StrategyType>

polybori::groebner::PairManagerFacade< StrategyType >::PairManagerFacade | ( | const self & | rhs | ) |

inline

## Member Function Documentation

template<class StrategyType>

void polybori::groebner::PairManagerFacade< StrategyType >::cleanTopByChainCriterion | ( |  | ) |

inline

template<class StrategyType>

void polybori::groebner::PairManagerFacade< StrategyType >::introducePair | ( | const Pair & | pair | ) |

inline

## Member Data Documentation

template<class StrategyType>

PairManagerWithStrategy<strategy_type> polybori::groebner::PairManagerFacade< StrategyType >::pairs

For compatibility reasons make this a public member.

Referenced by polybori::groebner::ChainCriterion::operator()(), polybori::groebner::CountCriterion::operator()(), polybori::groebner::ChainVariableCriterion::operator()(), and polybori::groebner::HasTRepOrExtendedProductCriterion::operator()().

The documentation for this class was generated from the following file:

- PairManagerFacade.h